 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_BRST'
		and tabname='FCM_BRST'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_BRST'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_BRST drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_BRST';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_BRST  ON FCM_BRST ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_BRST  ON FCM_BRST ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_BRST  ADD CONSTRAINT PKX_BRST PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCBF'
		and tabname='FCM_CCBF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCBF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCBF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCBF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCBF  ON FCM_CCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCBF  ON FCM_CCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCBF  ADD CONSTRAINT PKX_CCBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCCA'
		and tabname='FCM_CCCA'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCCA'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCCA drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCCA';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCA  ON FCM_CCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCA  ON FCM_CCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCCA  ADD CONSTRAINT PKX_CCCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCCP'
		and tabname='FCM_CCCP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCCP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCCP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCCP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCP  ON FCM_CCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCP  ON FCM_CCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCCP  ADD CONSTRAINT PKX_CCCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCDP'
		and tabname='FCM_CCDP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCDP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCDP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCDP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCDP  ON FCM_CCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCDP  ON FCM_CCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCDP  ADD CONSTRAINT PKX_CCDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCMF'
		and tabname='FCM_CCMF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCMF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCMF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCMF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCMF  ON FCM_CCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCMF  ON FCM_CCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCMF  ADD CONSTRAINT PKX_CCMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCNM'
		and tabname='FCM_CCNM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCNM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCNM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCNM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCNM  ON FCM_CCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCNM  ON FCM_CCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCNM  ADD CONSTRAINT PKX_CCNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CCSH'
		and tabname='FCM_CCSH'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CCSH'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CCSH drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CCSH';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCSH  ON FCM_CCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCSH  ON FCM_CCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCSH  ADD CONSTRAINT PKX_CCSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSAB'
		and tabname='FCM_CSAB'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSAB'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSAB drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSAB';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAB  ON FCM_CSAB ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAB  ON FCM_CSAB ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSAB  ADD CONSTRAINT PKX_CSAB PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSAE'
		and tabname='FCM_CSAE'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSAE'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSAE drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSAE';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAE  ON FCM_CSAE ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAE  ON FCM_CSAE ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSAE  ADD CONSTRAINT PKX_CSAE PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSBF'
		and tabname='FCM_CSBF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSBF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSBF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSBF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSBF  ON FCM_CSBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSBF  ON FCM_CSBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSBF  ADD CONSTRAINT PKX_CSBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSCA'
		and tabname='FCM_CSCA'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSCA'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSCA drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSCA';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCA  ON FCM_CSCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCA  ON FCM_CSCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCA  ADD CONSTRAINT PKX_CSCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSCK'
		and tabname='FCM_CSCK'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSCK'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSCK drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSCK';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCK  ON FCM_CSCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCK  ON FCM_CSCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCK  ADD CONSTRAINT PKX_CSCK PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSCP'
		and tabname='FCM_CSCP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSCP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSCP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSCP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCP  ON FCM_CSCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCP  ON FCM_CSCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCP  ADD CONSTRAINT PKX_CSCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSCW'
		and tabname='FCM_CSCW'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSCW'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSCW drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSCW';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCW  ON FCM_CSCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCW  ON FCM_CSCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCW  ADD CONSTRAINT PKX_CSCW PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSDP'
		and tabname='FCM_CSDP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSDP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSDP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSDP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSDP  ON FCM_CSDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSDP  ON FCM_CSDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSDP  ADD CONSTRAINT PKX_CSDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSMF'
		and tabname='FCM_CSMF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSMF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSMF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSMF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSMF  ON FCM_CSMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSMF  ON FCM_CSMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSMF  ADD CONSTRAINT PKX_CSMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSNM'
		and tabname='FCM_CSNM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSNM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSNM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSNM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSNM  ON FCM_CSNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSNM  ON FCM_CSNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSNM  ADD CONSTRAINT PKX_CSNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_CSSH'
		and tabname='FCM_CSSH'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_CSSH'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_CSSH drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_CSSH';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSSH  ON FCM_CSSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSSH  ON FCM_CSSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSSH  ADD CONSTRAINT PKX_CSSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCBF'
		and tabname='FCM_LCBF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCBF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCBF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCBF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCBF  ON FCM_LCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCBF  ON FCM_LCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCBF  ADD CONSTRAINT PKX_LCBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCCA'
		and tabname='FCM_LCCA'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCCA'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCCA drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCCA';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCA  ON FCM_LCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCA  ON FCM_LCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCA  ADD CONSTRAINT PKX_LCCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCCK'
		and tabname='FCM_LCCK'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCCK'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCCK drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCCK';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCK  ON FCM_LCCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCK  ON FCM_LCCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCK  ADD CONSTRAINT PKX_LCCK PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCCP'
		and tabname='FCM_LCCP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCCP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCCP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCCP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCP  ON FCM_LCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCP  ON FCM_LCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCP  ADD CONSTRAINT PKX_LCCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCCW'
		and tabname='FCM_LCCW'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCCW'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCCW drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCCW';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCW  ON FCM_LCCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCW  ON FCM_LCCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCW  ADD CONSTRAINT PKX_LCCW PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCDP'
		and tabname='FCM_LCDP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCDP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCDP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCDP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCDP  ON FCM_LCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCDP  ON FCM_LCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCDP  ADD CONSTRAINT PKX_LCDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCMF'
		and tabname='FCM_LCMF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCMF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCMF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCMF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCMF  ON FCM_LCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCMF  ON FCM_LCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCMF  ADD CONSTRAINT PKX_LCMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCNM'
		and tabname='FCM_LCNM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCNM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCNM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCNM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCNM  ON FCM_LCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCNM  ON FCM_LCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCNM  ADD CONSTRAINT PKX_LCNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_LCSH'
		and tabname='FCM_LCSH'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_LCSH'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_LCSH drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_LCSH';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCSH  ON FCM_LCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCSH  ON FCM_LCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCSH  ADD CONSTRAINT PKX_LCSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_MAFM'
		and tabname='FCM_MAFM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_MAFM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_MAFM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_MAFM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAFM  ON FCM_MAFM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAFM  ON FCM_MAFM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_MAFM  ADD CONSTRAINT PKX_MAFM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_MAMF'
		and tabname='FCM_MAMF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_MAMF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_MAMF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_MAMF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAMF  ON FCM_MAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAMF  ON FCM_MAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_MAMF  ADD CONSTRAINT PKX_MAMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_MANM'
		and tabname='FCM_MANM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_MANM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_MANM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_MANM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MANM  ON FCM_MANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MANM  ON FCM_MANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_MANM  ADD CONSTRAINT PKX_MANM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_NAME'
		and tabname='FCM_NAME'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_NAME'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_NAME drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_NAME';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAME  ON FCM_NAME ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAME  ON FCM_NAME ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAME  ADD CONSTRAINT PKX_NAME PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_NAMF'
		and tabname='FCM_NAMF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_NAMF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_NAMF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_NAMF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMF  ON FCM_NAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMF  ON FCM_NAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAMF  ADD CONSTRAINT PKX_NAMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_NAMO'
		and tabname='FCM_NAMO'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_NAMO'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_NAMO drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_NAMO';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMO  ON FCM_NAMO ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMO  ON FCM_NAMO ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAMO  ADD CONSTRAINT PKX_NAMO PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_NAMP'
		and tabname='FCM_NAMP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_NAMP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_NAMP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_NAMP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMP  ON FCM_NAMP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMP  ON FCM_NAMP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAMP  ADD CONSTRAINT PKX_NAMP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_NANM'
		and tabname='FCM_NANM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_NANM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_NANM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_NANM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NANM  ON FCM_NANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NANM  ON FCM_NANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_NANM  ADD CONSTRAINT PKX_NANM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLBF'
		and tabname='FCM_SLBF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLBF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLBF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLBF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLBF  ON FCM_SLBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLBF  ON FCM_SLBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLBF  ADD CONSTRAINT PKX_SLBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLCA'
		and tabname='FCM_SLCA'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLCA'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLCA drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLCA';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCA  ON FCM_SLCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCA  ON FCM_SLCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCA  ADD CONSTRAINT PKX_SLCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLCK'
		and tabname='FCM_SLCK'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLCK'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLCK drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLCK';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCK  ON FCM_SLCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCK  ON FCM_SLCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCK  ADD CONSTRAINT PKX_SLCK PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLCP'
		and tabname='FCM_SLCP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLCP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLCP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLCP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCP  ON FCM_SLCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCP  ON FCM_SLCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCP  ADD CONSTRAINT PKX_SLCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLCW'
		and tabname='FCM_SLCW'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLCW'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLCW drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLCW';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCW  ON FCM_SLCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCW  ON FCM_SLCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCW  ADD CONSTRAINT PKX_SLCW PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLDP'
		and tabname='FCM_SLDP'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLDP'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLDP drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLDP';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLDP  ON FCM_SLDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLDP  ON FCM_SLDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLDP  ADD CONSTRAINT PKX_SLDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLMF'
		and tabname='FCM_SLMF'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLMF'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLMF drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLMF';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLMF  ON FCM_SLMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLMF  ON FCM_SLMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLMF  ADD CONSTRAINT PKX_SLMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLNM'
		and tabname='FCM_SLNM'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLNM'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLNM drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLNM';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLNM  ON FCM_SLNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLNM  ON FCM_SLNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLNM  ADD CONSTRAINT PKX_SLNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
 begin 
 DECLARE v_exists int;
 DECLARE v_part int;

 select count(*) into v_exists
		from syscat.indexes
		where indschema= current_schema 
		and INDNAME = 'PKX_SLSH'
		and tabname='FCM_SLSH'
		and tabschema=current_schema
		and colnames = '+CMX_TRAN_ID+RQO_PROC_UTC_DATETIME';

select count(*) into v_part
		from syscat.datapartitions
		where  tabname='FCM_SLSH'
		and tabschema=current_schema
		;
         
 if v_exists = 0 then
 	 EXECUTE IMMEDIATE 'alter table FCM_SLSH drop primary key';
 	 EXECUTE IMMEDIATE 'drop index PKX_SLSH';
 	 if v_part > 1 then
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLSH  ON FCM_SLSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    PARTITIONED ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 else
	 	EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLSH  ON FCM_SLSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )    ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES';
	 END IF;
	 EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLSH  ADD CONSTRAINT PKX_SLSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )'; 

 END IF; 
 end@
