%macro connect_to_db(lib);

/*******************************************************
The following global macro variables will be referenced:
  rh_user_name
  rh_server
  rh_schema
  metaserver
  metaport
  rh_db_source
********************************************************/

    /*** Begin Password block *****************************/
    options metaserver="&metaserver"
            metaport=&metaport
            metarepository="Foundation";
    /*let rh_user_name is assigned above */

    data _null_;
      length uri $256 nobj 8 loginuri password search $256;
      retain uid "&rh_user_name" ;
      nobj = 1;
      uri = "";
      search = "omsobj:Login?@UserID = '"||trim(uid)||"'";
      nobj=metadata_getnobj(search,1,uri);
      if nobj >= 0 then do;
        loginuri = uri;
        rc = metadata_getattr(loginuri,"Password",password);
        call symputx('usrPs',password);
      end; else do;
        putlog // "Did not find a login object for &rh_user_name.." #1;
        call execute('endsas;') ;
      end;
    run;
    /*** End Password block *****************************/

    %if %upcase(&rh_db_source)=ORACLE %then %do;
      libname &lib &rh_db_source path=&rh_server user=&rh_user_name password="&usrPs" schema=&rh_schema access=READONLY connection=global;
    %end;
    %else %if %upcase(&rh_db_source)=DB2 %then %do;
      libname &lib &rh_db_source user=&rh_user_name password="&usrPs" database=&rh_server schema=&rh_schema access=READONLY connection=global;
    %end;
    %else %if %upcase(&rh_db_source)=TERADATA %then %do;
      libname &lib &rh_db_source user=&rh_user_name password="&usrPs" server=&rh_server;
    %end;

%mend connect_to_db;
