%macro drillprep1;

*-----------------------------------------------------------------------*
|  Define Drill Down Varables Into Macro Variable List                  |
*-----------------------------------------------------------------------*;

 /*** verify existence of count variables - will not exist for new parameter file ***/

 /************* - WANT TO APPEND DEVELOPMENT_PERIOD DRILL_VNAME VARCOUNT AND DRILL_NUMBER FOR TYPE='DEV'*********************/


data _null_;
 dsid=open("&config_ds");
 call symputx("exist_varcount",varnum(dsid,'varcount'));
 call symputx("exist_drill_vname",varnum(dsid,'drill_vname'));
 call symputx("exist_drill_number",varnum(dsid,'drill_number'));
 call symputx("exist_seqno",varnum(dsid,'seqno'));
 call symputx("exist_seq_original",varnum(dsid,'seq_original'));
 run;

 
 %let drop1=; %let drop2=; %let drop3=;%let drop4=; %let drop5= ;
 %if &exist_varcount %then %let drop1=varcount;
 %if &exist_drill_vname %then %let drop2=drill_vname; 
 %if &exist_drill_number %then %let drop3=drill_number;
 %if &exist_seqno %then %let drop4=seqno;
 %if &exist_seq_original %then %let drop4=seq_original;


data &config_ds;
 set &config_ds %if %sysevalf(&exist_varcount+&exist_drill_vname+&exist_drill_number+&exist_seqno) GE 1 
                %then(drop=&drop1 &drop2 &drop3 &drop4 &drop5);;
 development_period="Development Period: %sysfunc(putn(&development_begin_date,mmddyy10.)) To %sysfunc(putn(&development_end_date,mmddyy10.))";
length seq_original 8; seq_original=_n_;
RUN;

 /*** distinct drill down into list ****/
proc sort data=&config_ds out=drill_list(keep=drill_down_variable drill_down_format where=(drill_down_variable ne " ")) nodupkey;
 by drill_down_variable;
run;  /*** need to get distinct drill_down_variables - regardless of assocation - but later resort to match input order ****/


 /*** create alias for drill down variables ***/
%global numdrill;
%numobs(data = drill_list, macrovar = numdrill);    
data drill_list;
 set drill_list;

 length drill_vname $12;

 drill_vname=cats('drill_var_',_N_);

 call symputx(cats('drill_var_',_N_), drill_down_variable,'G');
 call symputx(cats('drill_down_format_',_N_),drill_down_format,'G');
 run;

%do j=1 %to &numdrill;
 %put drill_var_&j:  &&drill_var_&j Format: &&drill_down_format_&j;
%end;

 /**** add drill down alias back to parameter file *****/
proc sort data=&config_ds;
 by descending aggregation_type report_variable drill_down_variable; 
run;



data &config_ds;
  length seqno 8;
  set &config_ds end=last;
  by report_variable NOTSORTED;

seqno=_n_;
length drill_vname $12; call missing(drill_vname);

if _n_=1 then do;  *** add the drill vname for the by variabel ***;
 declare hash drill(dataset: 'drill_list(keep=drill_down_variable drill_vname)');
  drill.defineKey('drill_down_variable');
  drill.defineData('drill_vname');
  drill.defineDone();
end;
*** the code above assigns the alias sequential drill_vname to the drill down variable - the alias represents the recoded/formatted version ***;

rc=drill.find(); drop rc;

if first.report_variable then varcount+1;

length drill_number 8;
drill_number=input(scan(drill_vname,3,"_"), best.);

run;



%mend drillprep1;
