%macro exclusion_logic(in = , out = );

    data &out;
        set &in;

        /* transaction must happen in evaluation window */
        /* when extracting from RH database, we have a buffer time to have some extra transactions */     
        if not(&eval_win_begin_date <= rqo_tran_date <= &eval_win_end_date) then delete;    
        
        /* Fraud episode must happen in the evaluation window; otherwise remove that card */
        if afd_frd_tag ne '0' then do;
            if not(&eval_win_begin_date <= afd_doff <= &eval_win_end_date) then delete;
            if not(&eval_win_begin_date <= afd_block_date <= &eval_win_end_date) then delete;
        end;
    run;

%mend exclusion_logic;
    
