%macro fix_char;


call execute("proc freq data="||strip(Plot_data)||";");
call execute(" tables "||strip(report_variable)||"/missing out=temp_dist NOPRINT ;");
call execute(" weight percent;");
call execute(" run;");


call execute("proc sort data=temp_dist;");
call execute(" by descending percent;");
call execute(" run;");

call execute(" data temp_dist2;");
call execute("  set temp_dist nobs=numobs;");
call execute(" retain flag 0 sort_var;");
call execute(" if flag=0 then sort_var=min(_n_,10);");
call execute(" if percent<=0 then do;");
call execute("   flag=1;");
call execute("   sort_var=.;");
call execute(" end;");
call execute(" run;");

call execute("data "||strip(plot_data)||";");
call execute("set "||strip(plot_data)||";");

call execute("length sort_var 8;  call missing(sort_var);");

call execute("if _n_=1  then do;");
call execute("  declare hash addgrp(dataset: 'temp_dist2');");
call execute("   addgrp.defineKey('"||strip(report_variable)||"');");
call execute("   addgrp.defineData('sort_var');");
call execute("addgrp.definedone();");
call execute("end;");

call execute("rc1=addgrp.find();");

call execute("run;");  


call execute("proc sql noprint;");
call execute("create table format(drop=temp_label) as");
call execute("select distinct sort_var as start, ");
call execute("	             case when sort_var<10 then "||strip(report_variable)||" else  'Other' end as temp_label length=50,");
call execute("                 UPCASE('TMP_'||STRIP('"||strip(substr(report_variable,1,27))||"_')) as fmtname,");
call execute("                 case when sort_var=10 then 'O' else ' ' end as hlo,  put(calculated temp_label,"||strip(report_variable_format)||") as label");
call execute("  from  temp_dist2");
call execute("  where NOT(missing(sort_var));");


call execute("proc format cntlin=format out=work;");
call execute("run;");

call execute("proc sort data="||strip(plot_data)||";");
call execute(" by sort_var;");
call execute("run;");


if upcase(run)='DRILL' then do;
     call execute("data "||strip(plot_data)||"(index=(drill_var_"||strip(drill_number)||" group));");
	 call execute(" set "||strip(plot_data)||";");
end;
else do; 
	call execute("data "||strip(plot_data)||"(index=(group));");
    call execute(" set "||strip(plot_data)||";");
end;
    call execute("run;");

%mend fix_char;
