%macro interp_v2 (dataset=, xname=, xvalue=, varnames=, outdataset=);

  %local i;

  /* %varlist(&dataset,&varnames,allvars); */
  %let allvars=&varnames;


  data &outdataset;
    set &dataset;
  run;

  data &outdataset;
    set &outdataset;
    retain
      __x_prev__
      %let i=1;
      %do %until(%scan(&allvars,&i,%str( ))=%str());
        %let var&i=%scan(&allvars,&i,%str( ));
        &&&var&i.._prev__
        %let i=%eval(&i+1);
      %end;
      done_interp 0
    ;
    if &xname < &xvalue then do;
      if _N_ = 1 then do;
        put "Error : desired value (&xvalue) for &xname out of range";
        yvalue = .;
      end;
      else do;
        %let i=1;
        %do %until(%scan(&allvars,&i,%str( ))=%str());
          %let var&i=%scan(&allvars,&i,%str( ));
          &&&var&i.. =&&&var&i.._prev__ + DIVIDE((&xvalue - __x_prev__)*(&&&var&i.._prev__ - &&&var&i..),(__x_prev__ - &xname));
          %let i=%eval(&i+1);
        %end;
        &xname = &xvalue;
      end;
      output;
      stop;
    end;
    __x_prev__ = &xname;
    %let i=1;
    %do %until(%scan(&allvars,&i,%str( ))=%str());
      %let var&i=%scan(&allvars,&i,%str( ));
      &&&var&i.._prev__ = &&&var&i..;
      %let i=%eval(&i+1);
    %end;

    keep
      &allvars.
      &xname
    ;
  run;

%mend interp_v2;
