/*
 * extract development for analytic reporting of performance evaluation
 * 
 * Author: Song, Qiang <qiang.song@sas.com> 2015
 * 
 */

%macro rpt_extract_dev_data_quarterly(
    in =,           /* dataset of development data */ 
    out =,             /* the output dataset will be default to work.&frh_table; */ 
    wherecond = 1,        /* conditions to subsetting input dataset */    
    rh_sampling_rate = 1,          /* non-fraud case sampling rate */    
    rh_sampling_rate_fraud = 1,          /* fraud case sampling rate */    
    keeplist =      
    );


    %local sampling_dig wts_var; 
    
    %let sampling_dig = %sysevalf(1000 * &rh_sampling_rate, ceil);
    %let wts_var = %sysevalf(1000 / &sampling_dig, ceil);

    %let sampling_dig_fraud = %sysevalf(1000 * &rh_sampling_rate_fraud, ceil);
    %let wts_var_fraud = %sysevalf(1000 / &sampling_dig_fraud, ceil);

    data &out;
        set &in;
        where &wherecond;
        keep &keeplist;

        if smh_activity_type ne 'CA' then delete;
            
        if afd_frd_tag eq '0' then do;
            wts_var = &wts_var;
        end;
        else do;
            wts_var = &wts_var_fraud;
        end;    
    
    run;

%mend;

     
