/*
 * Macro to parse analytic report configuration file
 *
 * Author: Song, Qiang <qiang.song@sas.com> 2014
 *
 */

%macro rptcfg_create_dirs(xmlfile=);
/* DOCSSTRING
#input
- xmlfile: path to the location of the XML configuration file; do not include quotations

#output

- no explicit output. As sideeffects, creates the directory structure in production_reports/development_data

END DOCSTRING */

proc sql;
    create view _type_frh_table_list as
        select distinct type, frh_table
        from rptcfg.reports;
quit;

data _null_;
    set _type_frh_table_list;
    call execute('X "mkdir -p &report_root./production_reports/development_data/'
                 || strip(type)
                 || "/"
                 || strip(frh_table)
                 || '";');
    call execute('X "mkdir -p &report_root./production_reports/report_output/'
                 || strip(type)
                 || "_output"
                 || '";');
    call execute('X "mkdir -p &report_root./production_reports/report_output/'
                 || "dev_"
                 || strip(type)
                 || "_output"
                 || '";');
run;

%mend rptcfg_create_dirs;
