/*
 * Macro to parse analytic report configuration file
 * 
 * Author: Song, Qiang <qiang.song@sas.com> 2014
 * 
 */

%macro rptcfg_extract_recode_text(xmlfile = , recodefile = , frh_table =, type = , rptcfg = );
/* DOCSSTRING
#input
- xmlfile: path to the location of the XML configuration file; do not include quotations

#output
- recodefile: path to the location of an include file containing recoding statements
   END DOCSTRING */
        
    data _selected_drl_vars_(keep = drl_name);

        file "&recodefile" lrecl=1200;

        set rptcfg.reports(where = (type in  ("all", "&type") and frh_table = "&frh_table"));

        if not missing(report_variable_recode) then do;
            put report_variable_recode ";"; 
        end;    

    
        i = 1;
        length drl_name $32;
        drl_name = scan(drill_down_list, i);
        do while (not missing(drl_name));
            output;
            i = i + 1;
            drl_name = scan(drill_down_list, i);
        end;
    run;

    proc sort nodupkey data = _selected_drl_vars_;
        by drl_name;
    run;

    data _null_;
        if _N_ = 1 then do;
            if 0 then set _selected_drl_vars_;
            length drl_name $ 32;
            declare hash drills(dataset: "_selected_drl_vars_");
            drills.definekey("drl_name");
            drills.defineDone();
            call missing(drl_name);
        end;    
        
        set rptcfg.drill_down_list;
        
        file "&recodefile" lrecl=1200 mod;

        rc = drills.find();

        if rc = 0 and not missing(drl_var_recode) then do;
            put drl_var_recode ";"; 
        end;
    run;

    proc datasets nolist library = work;
        delete _selected_drl_vars_;
    run;

%mend;

     
